Subject: Re: [PATCH 2/2] Fix sed usage in tests to work around broken xpg4/sed on Solaris

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Jul 2015 09:07:04 -0700

Johannes Sixt <[email-masked]> writes:

>> I really wonder why the previous ">file+ && mv -f file+ file" dance
>> needs to be replaced?
>
> The sed must be replaced because some versions on Solaris choke on the
> incomplete last line in the file.

Switching from sed to perl is not being questioned.

I think Dscho is asking about the use of "-i", when the original
idiom ">target+ && mv -f target+ target" worked perfectly fine.

I.e.

	perl -p -e '...' file >file+ &&
        mv file+ file